Summary: The GNU libtool, which simplifies the use of shared libraries.
Name: libtool-libs13
Version: 1.3.5
Release: 2
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.gz
Patch0: libtool-1.3.2-arm.patch
Patch1: libtool-1.2f-cache.patch
Patch2: libtool-1.3.5-mktemp.patch
Patch3: libtool-1.3.5-nonneg.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: s390 s390x

%description
The libtool-libs13 package contains compatibility libraries for the
shared libraries in libtool-1.3.

%prep
%setup -q -n libtool-%{version}
# XXX this appears to be finally integrated in 1.3.4
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
#./configure --prefix=%{_prefix}
# define libtoolize to true, in case configure calls it
%define __libtoolize /bin/true
%configure
						
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}

#make prefix=${RPM_BUILD_ROOT}%{_prefix} install
%makeinstall

{ cd ${RPM_BUILD_ROOT}
  gzip -9nf .%{_infodir}/*.info*
# XXX remove zero length file
  rm -f .%{_datadir}/libtool/libltdl/stamp-h.in
# XXX forcibly break hardlinks
  mv .%{_datadir}/libtool/libltdl .%{_datadir}/libtool/libltdl-X
  mkdir .%{_prefix}/share/libtool/libltdl
  cp .%{_datadir}/libtool/libltdl-X/* .%{_datadir}/libtool/libltdl
  rm -rf .%{_prefix}/share/libtool/libltdl-X
}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libltdl.so.*

%changelog
* Sat Jul 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude s390,s390x

* Wed May 16 2001 Owen Taylor <otaylor@redhat.com>
- rename back to libtool-libs13

* Sat May 12 2001 Owen Taylor <otaylor@redhat.com>
- Strip down to only the libraries for the compat package

* Thu Jul 13 2000 Elliot Lee <sopwith@redhat.com>
- Fix recognition of ^0[0-9]+$ as a non-negative integer.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch to use mktemp to create the tempdir
- use %%configure after defining __libtoolize to /bin/true

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- subpackage libltdl into libtool-libs

* Sun Jun 18 2000 Bill Nottingham <notting@redhat.com>
- running libtoolize on the libtool source tree ain't right :)

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.3.5.

* Fri Mar  3 2000 Jeff Johnson <jbj@redhat.com>
- add prereqs for m4 and perl inorder to run autoconf/automake.

* Mon Feb 28 2000 Jeff Johnson <jbj@redhat.com>
- functional /usr/doc/libtool-*/demo by end-user %post procedure (#9719).

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.4.

* Mon Dec  6 1999 Jeff Johnson <jbj@redhat.com>
- change from noarch to per-arch in order to package libltdl.a (#7493).

* Thu Jul 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.3.

* Mon Jun 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.2.

* Tue May 11 1999 Jeff Johnson <jbj@redhat.com>
- explicitly disable per-arch libraries (#2210)
- undo hard links and remove zero length file (#2689)

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- disable the --cache-file passing to ltconfig; this breaks the older
  ltconfig scripts found around.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2f

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- completed arm patch
- added patch to make it more arm-friendly
- upgrade to version 1.2d

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- fixed busted group

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- Update to 1.0h
- added install-info support

* Tue Nov 25 1997 Elliot Lee <sopwith@redhat.com>
- Update to 1.0f
- BuildRoot it
- Make it a noarch package
